TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RationalReconstruction ( elt-fld^fin x ) -> elt-alg^boo, elt-fld^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Given an element x of the prime finite field K of cardinality p, return true and the unique rational r = (n / d) if such exists with the absolute values of n and d less than or equal to Isqrt(p div 2); return false otherwise. </shortdoc>

### Examples

x_F:=FiniteField(5); x_a:=x_F.1^20; RationalReconstruction(x_a);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack